Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class RelationshipEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.EntityEvent
                      org.apache.cayenne.map.event.RelationshipEvent

All Implemented Interfaces:
  java.io.Serializable

    public class RelationshipEvent

extends EntityEvent

Represents events resulted from Relationship changes in CayenneModeler. This event is used for both ObjRelationships and DbRelationships.

Author:
  Misha Shengaout, Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected Relationship` | `relationship`

Fields inherited from class org.apache.cayenne.map.event.EntityEvent
`entity`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RelationshipEvent(java.lang.Object src, Relationship rel, Entity entity)` Creates a Relationship change event.
`RelationshipEvent(java.lang.Object src, Relationship rel, Entity entity, int id)` Creates a Relationship event of a specified type.
`RelationshipEvent(java.lang.Object src, Relationship rel, Entity entity, java.lang.String oldName)` Creates a Relationship name change event.

Method Summary
`java.lang.String` | `getNewName()` Returns the newName of the object that caused this event.
`Relationship` | `getRelationship()` Returns relationship associated with this event.
`void` | `setRelationship(Relationship relationship)` Sets relationship associated with this event.

Methods inherited from class org.apache.cayenne.map.event.EntityEvent
`getEntity, setEntity`

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getId, getOldName, isNameChange, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### relationship

    protected Relationship relationship

Constructor Detail

### RelationshipEvent

    public RelationshipEvent(java.lang.Object src,
                             Relationship rel,
                             Entity entity)

  Creates a Relationship change event.

### RelationshipEvent

    public RelationshipEvent(java.lang.Object src,
                             Relationship rel,
                             Entity entity,
                             int id)

  Creates a Relationship event of a specified type.

### RelationshipEvent

    public RelationshipEvent(java.lang.Object src,
                             Relationship rel,
                             Entity entity,
                             java.lang.String oldName)

  Creates a Relationship name change event.

Method Detail

### getRelationship

    public Relationship getRelationship()

  Returns relationship associated with this event.

### setRelationship

    public void setRelationship(Relationship relationship)

  Sets relationship associated with this event.

  Parameters:
    `relationship` - The relationship to set

### getNewName

    public java.lang.String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Overrides:
    `getNewName` in class `EntityEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.